//
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2011-2011 - DIGITEO - Bruno JOFRET
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//
//
global MSDOS port_TCL connected isreceiv values t_prec;
MSDOS=1;
connected = 0;


function block=IMPRIMANTE_sim(block,flag)
    global MSDOS port_TCL connected values;
  function DEBUG(message)
      disp("[DEBUG time = "+string(scicos_time())+"] {"+block.label+"} IMPRIMANTE Simulation: "+message);
  endfunction
  //disp(flag)
   select flag
     case -5 // Error

     case 0 // Derivative State Update


     case 1 // Output Update
      //DEBUG("Output update");
//      if connected==0 then
//          return
//      end
//      y1 = PIC_send(block.inptr(1)); //send data to serial
//      y1 = PIC_receive(); //receive data from serial
//      block.outptr(1) = y1;
      
      //test pour debug
      //disp(connected)
      if connected==0 then
          return
      end
      y1=block.inptr(1);
      y1=[0;0;y1*2;scicos_time()];
      block.outptr(1) = y1;
      //disp(y1)
      
     case 2 // State Update


     case 3 // OutputEventTiming
      DEBUG("OutputEventTiming")
      //pause
      evout = block.evout(1);
      if evout < 0
          evout = 0.001;
      else
          evout = evout + 0.001;
      end
      block.evout(1) = evout;

     case 4 // Initialization
        disp("Initialisation")
//        param=block(25);
//        if (param(1)=="0") MSDOS=0 //use of linux command for serial
//        end
//        value_port=param(2);
//        value_connection=string(param(3))+",n,8,1";   
//        try
//            port_TCL=openserial(value_port,value_connection,"binary","none");
//            values=readserial(port_TCL) ;
//            connected=1;
//           
//        catch
//            messagebox("Choisir un autre port série","Problème de connexion","error");
//            connected=0;
//            return;
//        end
//        connected=1;
//        y1=[];
//        t_prec=0;
//        PIC_init_serial_com() //init serial

        //test
        connected=1;
        y1=[];
        t_prec=0;

     case 5 // Ending
 
//        PIC_end_of_simul() //closerial

     case 6 // Re-Initialisation

     case 9 // ZeroCrossing

    else // Unknown flag

    end
endfunction