// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
  macros_path = get_absolute_file_path("buildmacros.sce");
  tbx_build_macros(TOOLBOX_NAME, macros_path);
  tbx_build_blocks(toolbox_dir, ["AUTO_SCOPE", "AUTO_SCOPE2", "AUTO_SCOPE3", "MAXPID", "REP_FREQ", "GRANDEUR_PHYSIQUE","PARAM_VAR", "COM_READ", "COM_WRITE", "COM_PROCESS","CLR2",..
  "SINUS_f","SQUARE_WAVE_f","COMPARATOR","IMPRIMANTE"]);
endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack

