//
// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2011-2011 - DIGITEO - Bruno JOFRET
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//
//

function continueSimulation=pre_xcos_simulate(scs_m, needcompile)

  continueSimulation = %t;
  callXcos_Param_Var=%f //Définit s'il faut appeler la fonction de variation paramètrique
  callXcos_Param_Freq = %f;
  callRep_freq = %f;
  presence_param_var=%f // indique la présence d'un bloc param_var
  presence_rep_freq=%f  //idem pour rep freq
  presence_imprimante=%f  //indique la presence d'un bloc imprimante

  for i = 1:size(scs_m.objs)
    curObj= scs_m.objs(i);
    if (typeof(curObj) == "Block" & curObj.gui == "PARAM_VAR")
      presence_param_var=%t
    elseif (typeof(curObj) == "Block" & curObj.gui == "REP_FREQ")
      presence_rep_freq=%t
      freq_temp_analysis=curObj.model.rpar(5);
     
    elseif (typeof(curObj) == "Block" & curObj.gui == "IMPRIMANTE")
      presence_imprimante=%t
    end
  end

  if  presence_param_var & ~presence_rep_freq
    callXcos_Param_Var = %t;
  end

  if  presence_param_var & presence_rep_freq
    callXcos_Param_Freq = %t;
  end

  if ~presence_param_var & presence_rep_freq
    callRep_freq = %t;
  end

  if callXcos_Param_Freq == %t then
    if freq_temp_analysis==1 then  
        continueSimulation = %f;
        Param_Var_pre_simulate(scs_m, needcompile);
        nicescope()
        Param_Freq_pre_simulate(scs_m, needcompile);
    else
        continueSimulation = %f;
        //Param_Var_pre_simulate(scs_m, needcompile);
        //nicescope()
        Param_Freq_pre_simulate(scs_m, needcompile);
    end
  end
    
  if callRep_freq == %t
     if freq_temp_analysis==1 then
          continueSimulation =%t;
      else
          continueSimulation =%f;
          REP_FREQ_pre_simulate(scs_m, needcompile);
      end
  end
  
  if  presence_imprimante==%t then
      //global inc;
    //PIC_end_of_simul() //deconnexion prealable du port serie au cas où.
  end

endfunction
